#
# spec file for package pxe (Version 1.4.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bin86 bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dev86 diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pxe
BuildRequires:  gcc-c++
%ifarch %ix86 x86_64
BuildRequires:  dev86
%endif
%define tftpbase /var/lib/tftpboot
Summary:        An implementation of the Intel PXE bootstrap protocol
Group:          System/Boot
Version:        1.4.2
Release:        17.2
License:        GPL
URL:            http://www.kano.org.uk/projects/pxe/
Patch0:         pxe-1.4.patch.bz2
Requires:       dhcp-server
Provides:       pxeserver
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
Source:         %{name}-%{version}.tar.bz2
Source1:        pxe
Source2:        pxe.conf
Source3:        dhcpd.conf.pxe
Source8:        default
Source9:        messages
Source10:       elilo.efi
Source11:       elilo.conf
Source12:       help.txt
Patch3:         pxe-autoconf.patch
Patch4:         pxe-mtftp.patch
Patch5:         pxe-linux-nbp-makefile.patch
Patch1:         pxe-1.0-cmdlinearg.patch
Patch2:         pxe-linux-config.patch
Patch10:        pxe-fix-arch-loop.patch
Source5:        pxe-linux.tar.bz2

%description 
This package contains the PXE (Preboot eXecution Environment) server
and code needed for Linux to boot from a boot disk image on a Linux PXE
server. This is an implementation of the Intel PXE bootstrap protocol.
This protocol is roughly speaking based upon the bootp protocol, and
currently needs the bootp daemon to work.



Authors:
--------
    Tim Hurman<kano at kano.org.uk>

%debug_package
%prep 
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 5
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch10 -p0

%build
%configure
make
%ifarch %ix86
make -C pxe-linux/nbp.linux
%endif

%install
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg
install -m755 %{_builddir}/%{name}-%{version}/pxe %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/pxe
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/pxe.conf
install -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/dhcpd.conf.pxe
install -m644 %{SOURCE8} %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg/default
%ifarch %ix86
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/pxe-linux/nbp.linux/linux.0 %{buildroot}%{tftpbase}/X86PC/linux/linux.0
%else
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/pxe-linux/server/linux.0 %{buildroot}%{tftpbase}/X86PC/linux/linux.0
%endif
install -m644 %{SOURCE9} %{buildroot}%{tftpbase}/X86PC/linux/messages
install -m755 -d %{buildroot}%{tftpbase}/IA64PC/linux
install -m644 %{SOURCE10} %{buildroot}%{tftpbase}/IA64PC/linux/linux.0
install -m644 %{SOURCE11} %{buildroot}%{tftpbase}/IA64PC/linux/linux.1
install -m644 %{SOURCE12} %{buildroot}%{tftpbase}/X86PC/linux/help.txt
ln -sf ../../etc/init.d/pxe $RPM_BUILD_ROOT/usr/sbin/rcpxe

%clean
rm -rf ${RPM_BUILD_ROOT}
#%preun
#%stop_on_removal pxe

%post
%{fillup_and_insserv -n -s pxe}

%postun
%restart_on_update pxe
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc README LICENCE INSTALL Changes
%attr(755,root,root) %{_sbindir}/pxe
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/pxe.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe
%dir %attr(755,root,root) %{tftpbase}
%dir %attr(755,root,root) %{tftpbase}/X86PC
%dir %attr(755,root,root) %{tftpbase}/IA64PC
%dir %attr(755,root,root) %{tftpbase}/IA64PC/linux
%dir %attr(755,root,root) %{tftpbase}/X86PC/linux
%dir %attr(755,root,root) %{tftpbase}/X86PC/linux/pxelinux.cfg
%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux/pxelinux.cfg/default
%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux/messages
%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux/help.txt
%attr(644,root,root) %{tftpbase}/X86PC/linux/linux.0
%attr(644,root,root) %{tftpbase}/IA64PC/linux/linux.*
%attr(755,root,root) %{_initrddir}/pxe
%attr(755,root,root) %{_sbindir}/rcpxe

%changelog -n pxe
* Wed Feb 15 2006 - ug@suse.de
- fixing bug #150945
  PXE server only works on X86PC
  patch by Jonathan Ward
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - meissner@suse.de
- fixed packaging problem with IA64 images.
* Mon Aug 09 2004 - nashif@suse.de
- Update to 1.4.2:
  fixed un-initialised variable in the multicast setup
* Thu Mar 11 2004 - nashif@suse.de
- Dont require syslinux
* Mon Mar 08 2004 - nashif@suse.de
- Initial release
